##   This file is part of JTFRAME.
##
##   JTFRAME program is free software: you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, either version 3 of the License, or
##   (at your option) any later version.
##
##   JTFRAME program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
##   You should have received a copy of the GNU General Public License
##   along with JTFRAME.  If not, see <http://www.gnu.org/licenses/>.
##   Author: Jose Tejada Gomez. Twitter: @topapate
##   Version: 1.0






set_global_assignment -name FAMILY "Cyclone IV E"
set_global_assignment -name DEVICE EP4CE22F17C8
set_global_assignment -name ON_CHIP_BITSTREAM_DECOMPRESSION OFF

set_global_assignment -name TOP_LEVEL_ENTITY mist_top
set_global_assignment -name ORIGINAL_QUARTUS_VERSION 11.0
set_global_assignment -name PROJECT_CREATION_TIME_DATE "17:14:01  APRIL 10, 2012"
set_global_assignment -name LAST_QUARTUS_VERSION 13.1
set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
set_global_assignment -name MAX_CORE_JUNCTION_TEMP 85
set_global_assignment -name DEVICE_FILTER_PACKAGE "ANY QFP"
set_global_assignment -name DEVICE_FILTER_SPEED_GRADE 8
set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
set_global_assignment -name USE_CONFIGURATION_DEVICE OFF
set_global_assignment -name CRC_ERROR_OPEN_DRAIN OFF
set_global_assignment -name RESERVE_ALL_UNUSED_PINS_WEAK_PULLUP "AS INPUT TRI-STATED"
set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -rise
set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -fall
set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -rise
set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -fall
set_global_assignment -name CYCLONEIII_CONFIGURATION_SCHEME "PASSIVE SERIAL"
set_global_assignment -name GENERATE_RBF_FILE ON
set_global_assignment -name FORCE_CONFIGURATION_VCCIO ON
set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"


set_location_assignment PIN_E1 -to clock_50_i

set_location_assignment PIN_C6 -to SDRAM_A[12]
set_location_assignment PIN_C8 -to SDRAM_A[11]
set_location_assignment PIN_A10 -to SDRAM_A[10]
set_location_assignment PIN_C9 -to SDRAM_A[9]
set_location_assignment PIN_C11 -to SDRAM_A[8]
set_location_assignment PIN_C14 -to SDRAM_A[7]
set_location_assignment PIN_D11 -to SDRAM_A[6]
set_location_assignment PIN_D12 -to SDRAM_A[5]
set_location_assignment PIN_D14 -to SDRAM_A[4]
set_location_assignment PIN_A12 -to SDRAM_A[3]
set_location_assignment PIN_B11 -to SDRAM_A[2]
set_location_assignment PIN_A11 -to SDRAM_A[1]
set_location_assignment PIN_B10 -to SDRAM_A[0]
set_location_assignment PIN_D9 -to SDRAM_BA[1]
set_location_assignment PIN_E9 -to SDRAM_BA[0]
set_location_assignment PIN_A7 -to SDRAM_nCAS
set_location_assignment PIN_A15 -to SDRAM_CKE
set_location_assignment PIN_B14 -to SDRAM_CLK
set_location_assignment PIN_E8 -to SDRAM_nCS
set_location_assignment PIN_D3 -to SDRAM_DQ[15]
set_location_assignment PIN_C3 -to SDRAM_DQ[14]
set_location_assignment PIN_D5 -to SDRAM_DQ[13]
set_location_assignment PIN_D6 -to SDRAM_DQ[12]
set_location_assignment PIN_B12 -to SDRAM_DQ[11]
set_location_assignment PIN_A13 -to SDRAM_DQ[10]
set_location_assignment PIN_B13 -to SDRAM_DQ[9]
set_location_assignment PIN_A14 -to SDRAM_DQ[8]
set_location_assignment PIN_B6 -to SDRAM_DQ[7]
set_location_assignment PIN_A5 -to SDRAM_DQ[6]
set_location_assignment PIN_B5 -to SDRAM_DQ[5]
set_location_assignment PIN_A4 -to SDRAM_DQ[4]
set_location_assignment PIN_B4 -to SDRAM_DQ[3]
set_location_assignment PIN_A3 -to SDRAM_DQ[2]
set_location_assignment PIN_B3 -to SDRAM_DQ[1]
set_location_assignment PIN_A2 -to SDRAM_DQ[0]
set_location_assignment PIN_E11 -to SDRAM_DQMH
set_location_assignment PIN_A6 -to SDRAM_DQML
set_location_assignment PIN_D8 -to SDRAM_nRAS
set_location_assignment PIN_B7 -to SDRAM_nWE

set_location_assignment PIN_N12 -to VGA_R[4]
set_location_assignment PIN_L15 -to VGA_R[3]
set_location_assignment PIN_L16 -to VGA_R[2]
set_location_assignment PIN_L13 -to VGA_R[1]
set_location_assignment PIN_M10 -to VGA_R[0]
set_location_assignment PIN_L14 -to VGA_G[4]
set_location_assignment PIN_E10 -to VGA_G[3]
set_location_assignment PIN_K15 -to VGA_G[2]
set_location_assignment PIN_J14 -to VGA_G[1]
set_location_assignment PIN_K5 -to VGA_G[0]
set_location_assignment PIN_F13 -to VGA_B[4]
set_location_assignment PIN_T11 -to VGA_B[3]
set_location_assignment PIN_F16 -to VGA_B[2]
set_location_assignment PIN_D16 -to VGA_B[1]
set_location_assignment PIN_L7 -to VGA_B[0]
set_location_assignment PIN_B16 -to VGA_HS
set_location_assignment PIN_C16 -to VGA_VS

set_location_assignment PIN_F3 -to ps2_clk_io
set_location_assignment PIN_F1 -to ps2_data_io
set_location_assignment PIN_B1 -to ps2_mouse_clk_io
set_location_assignment PIN_D1 -to ps2_mouse_data_io

set_location_assignment PIN_C2 -to sram_addr_o[18]
set_location_assignment PIN_F2 -to sram_addr_o[17]
set_location_assignment PIN_G2 -to sram_addr_o[16]
set_location_assignment PIN_G1 -to sram_addr_o[15]
set_location_assignment PIN_L3 -to sram_addr_o[14]
set_location_assignment PIN_J1 -to sram_addr_o[13]
set_location_assignment PIN_G5 -to sram_addr_o[12]
set_location_assignment PIN_K1 -to sram_addr_o[11]
set_location_assignment PIN_J2 -to sram_addr_o[10]
set_location_assignment PIN_T14 -to sram_addr_o[9]
set_location_assignment PIN_T15 -to sram_addr_o[8]
set_location_assignment PIN_P15 -to sram_addr_o[7]
set_location_assignment PIN_N14 -to sram_addr_o[6]
set_location_assignment PIN_J16 -to sram_addr_o[5]
set_location_assignment PIN_J13 -to sram_addr_o[4]
set_location_assignment PIN_G15 -to sram_addr_o[3]
set_location_assignment PIN_F15 -to sram_addr_o[2]
set_location_assignment PIN_D15 -to sram_addr_o[1]
set_location_assignment PIN_C15 -to sram_addr_o[0]
set_location_assignment PIN_E7 -to sram_data_io[7]
set_location_assignment PIN_E6 -to sram_data_io[6]
set_location_assignment PIN_F8 -to sram_data_io[5]
set_location_assignment PIN_L4 -to sram_data_io[4]
set_location_assignment PIN_F9 -to sram_data_io[3]
set_location_assignment PIN_R11 -to sram_data_io[2]
set_location_assignment PIN_K16 -to sram_data_io[1]
set_location_assignment PIN_F14 -to sram_data_io[0]
set_location_assignment PIN_J15 -to sram_we_n_o
set_location_assignment PIN_L8 -to sram_oe_n_o

set_location_assignment PIN_N8 -to joy1_up_i
set_location_assignment PIN_M7 -to joy1_down_i
set_location_assignment PIN_T7 -to joy1_left_i
set_location_assignment PIN_R7 -to joy1_right_i
set_location_assignment PIN_M6 -to joy1_p6_i
set_location_assignment PIN_T6 -to joy1_p9_i
set_location_assignment PIN_P2 -to joy2_up_i
set_location_assignment PIN_N2 -to joy2_down_i
set_location_assignment PIN_N1 -to joy2_left_i
set_location_assignment PIN_L2 -to joy2_right_i
set_location_assignment PIN_P1 -to joy2_p6_i
set_location_assignment PIN_L1 -to joy2_p9_i
set_location_assignment PIN_M8 -to joyX_p7_o

set_location_assignment PIN_P6 -to AUDIO_L
set_location_assignment PIN_K2 -to AUDIO_R
set_location_assignment PIN_N5 -to mic_o
set_location_assignment PIN_T12 -to ear_i

set_location_assignment PIN_R8 -to btn_n_i[4]
set_location_assignment PIN_T8 -to btn_n_i[3]
set_location_assignment PIN_R9 -to btn_n_i[2]
set_location_assignment PIN_T9 -to btn_n_i[1]

set_location_assignment PIN_R3 -to sd_cs_n_o
set_location_assignment PIN_R12 -to sd_miso_i
set_location_assignment PIN_R4 -to sd_mosi_o
set_location_assignment PIN_T3 -to sd_sclk_o

set_location_assignment PIN_N9 -to stm_rst_o
set_location_assignment PIN_R10 -to stm_tx_i
set_location_assignment PIN_T5 -to stm_rx_o
set_location_assignment PIN_R5 -to stm_b8_io
set_location_assignment PIN_T4 -to stm_b9_io
set_location_assignment PIN_T10 -to SPI_SS2
set_location_assignment PIN_P11 -to SPI_SCK
set_location_assignment PIN_N11 -to SPI_DO
set_location_assignment PIN_N6 -to SPI_DI
set_location_assignment PIN_R6 -to SPI_nWAIT

set_location_assignment PIN_R13 -to tmds_o[7]
set_location_assignment PIN_T13 -to tmds_o[6]
set_location_assignment PIN_N15 -to tmds_o[5]
set_location_assignment PIN_N16 -to tmds_o[4]
set_location_assignment PIN_R16 -to tmds_o[3]
set_location_assignment PIN_P16 -to tmds_o[2]
set_location_assignment PIN_P14 -to tmds_o[1]
set_location_assignment PIN_R14 -to tmds_o[0]

set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[7]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[6]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[5]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to tmds_o[0]
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_clk_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_data_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_mouse_clk_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to ps2_mouse_data_io
set_instance_assignment -name WEAK_PULL_UP_RESISTOR ON -to sd_miso_i


set_global_assignment -name EDA_SIMULATION_TOOL "<None>"

set_global_assignment -name ENABLE_SIGNALTAP OFF
set_global_assignment -name USE_SIGNALTAP_FILE stp1.stp
set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_DATA0_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_DATA1_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_FLASH_NCE_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_DCLK_AFTER_CONFIGURATION "USE AS REGULAR IO"

set_global_assignment -name OPTIMIZE_HOLD_TIMING "ALL PATHS"
set_global_assignment -name OPTIMIZE_MULTI_CORNER_TIMING ON
set_global_assignment -name FITTER_EFFORT "STANDARD FIT"
set_global_assignment -name PHYSICAL_SYNTHESIS_EFFORT FAST
set_global_assignment -name VERILOG_SHOW_LMF_MAPPING_MESSAGES OFF
set_global_assignment -name POWER_PRESET_COOLING_SOLUTION "NO HEAT SINK WITH STILL AIR"
set_global_assignment -name POWER_BOARD_THERMAL_MODEL "NONE (CONSERVATIVE)"
set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
set_global_assignment -name PARTITION_COLOR 16764057 -section_id Top
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[12]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[11]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[10]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[9]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[8]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[7]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[6]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[5]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_A[0]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_BA[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_CKE
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_BA[0]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[15]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_CLK
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[8]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[13]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[14]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[12]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[11]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[10]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[9]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[7]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[6]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[5]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[4]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[3]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[2]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[1]
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nWE
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nRAS
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nCS
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_nCAS
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQML
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQMH
set_instance_assignment -name CURRENT_STRENGTH_NEW "MAXIMUM CURRENT" -to SDRAM_DQ[0]

set_location_assignment PLL_1 -to "jtgng_pll0:u_pll_game|altpll:altpll_component"

# SDRAM
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_*
set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[*]


set_global_assignment -name VERILOG_MACRO "MIST=<None>"

set_global_assignment -name VERILOG_MACRO "CORENAME=\"JTBUBL\""
set_global_assignment -name VERILOG_MACRO "GAMETOP=jtbubl_game"
set_global_assignment -name VERILOG_MACRO "BUTTONS=2"
set_global_assignment -name VERILOG_MACRO "COLORW=4"
set_global_assignment -name VERILOG_MACRO "JTFRAME_CLK24=<None>"
set_global_assignment -name VERILOG_MACRO "JTFRAME_CREDITS=<None>"
set_global_assignment -name VERILOG_MACRO "JTFRAME_MRA_DIP=<None>"
set_global_assignment -name VERILOG_MACRO "VIDEO_WIDTH=256"
set_global_assignment -name VERILOG_MACRO "VIDEO_HEIGHT=224"
set_global_assignment -name VERILOG_MACRO "TV80S=<None>"
set_global_assignment -name VERILOG_MACRO "VERTICAL_SCREEN=<None>"


set_global_assignment -name SEED 1

set_global_assignment -name VHDL_FILE ../../../common/io_ps2_keyboard.vhd
set_global_assignment -name SYSTEMVERILOG_FILE ../modules/jtframe/hdl/mc2/jtframe_mc2_top.sv
set_global_assignment -name QIP_FILE ../modules/jtframe/hdl/mc2/pll48/jtframe_pll0.qip
set_global_assignment -name QIP_FILE ../modules/jtframe/hdl/mc2/pll48/jtframe_pll96.qip
set_global_assignment -name QIP_FILE ../modules/jtframe/hdl/mc2/pll48/jtframe_pll1.qip
set_global_assignment -name QIP_FILE ../modules/jtframe/hdl/mc2/mc2.qip
set_global_assignment -name QIP_FILE ../hdl/jtbubl.qip
set_global_assignment -name CDF_FILE jtag.cdf
set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top